Skip to main content
`Ctrl`+`K`

# TaoShellGetContext

Returns the user-provided context associated with a `TAOSHELL`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoShellGetContext(Tao tao, void *ctx)

Not Collective

## Input Parameter

- tao - should have been created with `TaoSetType`(tao,`TAOSHELL`);

## Output Parameter

- ctx - the user provided context

## Note

This routine is intended for use within various shell routines

## See Also

`Tao`, `TAOSHELL`, `TaoShellSetContext()`

## Level

advanced

## Location

src/tao/shell/taoshell.c

## Examples

src/tao/constrained/tutorials/tomographyADMM.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages